package com.chaosserver.bilbo.data;

/**
 * Hold a single name element that describes a file with a given style.
 *
 * @author Jordan Reed
 * @version 1.0
 * @since Bilbo 1.0
 */
public class Name {
	/** The style of this name. */
	protected String style;

	/** The value of this name. */
	protected String value;

	/**
	 * Default constructor.
	 */
	public Name() {
	}

	/**
	 * Constructor to create a valid Name.
	 *
	 * @param style the style of this name
	 * @param value the value of this name
	 */
	public Name(String style, String value) {
		setStyle(style);
		setValue(value);
	}

	/**
	 * Setter for the style property.
	 *
	 * @param style the value of style
	 */
	public void setStyle(String style) {
		this.style = style;
	}

	/**
	 * Getter for the style property.
	 *
	 * @return the value of style
	 */
	public String getStyle() {
		return this.style;
	}

	/**
	 * Setter for the value property.
	 *
	 * @param value the value of value
	 */
	public void setValue(String value) {
		this.value = new String(value.getBytes());
	}

	/**
	 * Getter for the value property.
	 *
	 * @return the value of value
	 */
	public String getValue() {
		return this.value;
	}

	public String toString() {
		StringBuffer sb = new StringBuffer();

		sb.append(getClass().getName());
		sb.append(" [");
		sb.append("style=");
		sb.append(getStyle());
		sb.append(", value=");
		sb.append(getValue());
		sb.append("]");

		return sb.toString();
	}
}