package com.chaosserver.bilbo.data;

/**
 * Thrown when there is an error reading or writing data to
 * a persistent data store.
 *
 * @author Jordan Reed
 * @version 1.0
 * @since Bilbo 1.0
 */
public class ReaderWriterException extends DataException {
	/**
	 * Constructs a new exception with the specified detail message.
	 *
	 * @param s the detailed message
	 */
	 public ReaderWriterException(String s) {
		super(s);
	}

	/**
	 * Constructs a new exception with the specified detail message and cause.
	 *
	 * @param s the detailed message
	 * @param t the cause
	 */
	public ReaderWriterException(String s, Throwable t) {
		super(s,t);
	}
}