package com.chaosserver.bilbo.task.backagain;

import com.chaosserver.bilbo.task.BaseTask;
import com.chaosserver.bilbo.task.Task;
import com.chaosserver.bilbo.task.TaskException;
import com.chaosserver.bilbo.task.TaskFactory;

import java.io.File;

/**
 * The back again task is a shortcut for converting joliet to original mappings.
 * <p>
 * This task composites two other tasks:
 * <ol>
 *   <li>convert -e0 joliet original</li>
 *   <li>clean</li>
 * </ol>
 *
 * @author Jordan Reed
 * @version 1.0
 * @since Bilbo 2.0
 */
public class BackAgainTask extends BaseTask {
	// Inherits javadocs
	public void parseTaskArguments(String argumentString) {
	}

	/**
	 * Executes the convert and clean tasks against the directory given.
	 *
	 * @throws TaskException if the subtasks have errors
	 */
	public void execute() throws TaskException {
		TaskFactory taskFactory = TaskFactory.getInstance();

		Task generateTask = taskFactory.createTask("convert", settings);
		generateTask.parseTaskArguments("-e0 joliet original");
		generateTask.execute();

		Task convertTask = taskFactory.createTask("clean", settings);
		convertTask.parseTaskArguments("");
		convertTask.execute();
	}

	/** Empty. */
	public void execute(File currentDirectory) throws TaskException {
	}

}