package com.chaosserver.bilbo.task.clean;

import com.chaosserver.bilbo.task.TaskException;

/**
 * Package level wrapper for exceptions in the clean package.
 *
 * @author Jordan Reed
 * @version 1.0
 * @since Bilbo 2.0
 */
public class CleanException extends TaskException {
	/**
	 * Constructs a new exception with the specified detail message.
	 *
	 * @param s the detailed message
	 */
	public CleanException(String s) {
		super(s);
	}

	/**
	 * Constructs a new exception with the specified detail message and cause.
	 *
	 * @param s the detailed message
	 * @param t the cause
	 */
	public CleanException(String s, Throwable t) {
		super(s,t);
	}
}