package com.chaosserver.bilbo.task.clean;

import com.chaosserver.bilbo.task.BaseTask;
import com.chaosserver.bilbo.task.TaskException;

import java.io.IOException;
import java.io.FileWriter;
import java.io.File;

/**
 * Cleans the mapping files out of a directory.
 *
 * @author Jordan Reed
 * @version 1.0
 * @since Bilbo 2.0
 */
public class CleanTask extends BaseTask {
	// Inherits javadocs
	public void parseTaskArguments(String argumentString) {
	}

	/**
	 * Deletes the mapping file out of the directory given.
	 *
	 * @throws CleanException if something goes wrong.
	 */
	public void execute(File currentDirectory) throws CleanException {
		File mappingFile = new File(currentDirectory, getSettings().getFileMappingName());

		if(!mappingFile.exists()) {
			String filename = mappingFile.getAbsolutePath();
			try {
				filename = mappingFile.getCanonicalPath();
			}
			catch (IOException e) {
				// Eat it.  Yum!
			}

			String errorMessage = "Cound not file mapping file: " + filename;
			// throw new NoMappingFileException(errorMessage);
			System.err.println("warning: " + errorMessage);
		}
		else {
			mappingFile.delete();
		}
	}

}