package com.chaosserver.bilbo.task.generate;

import com.chaosserver.bilbo.data.Directory;
import java.io.File;

/**
 * Formatter to generate reformat a filename.
 *
 * @author Jordan Reed
 * @version 1.0
 * @since Bilbo 2.0
 */
public interface Formatter {
	/**
	 * Formats the name of the file.
	 *
	 * @param directory the directory the file mapping will be placed in
	 * @param file the file to create a formatted name for
	 * @return the formatted name
	 * @throws FormatException if something goes wrong during format
	 */
	public String format(Directory directory, File file) throws FormatException;
}