package com.chaosserver.bilbo.task.generate;

import com.chaosserver.bilbo.task.TaskException;

/**
 * Thrown is there is an error with the generate task.
 *
 * @author Jordan Reed
 * @version 1.0
 * @since Bilbo 2.0
 */
public class GenerateException extends TaskException {
	/**
	 * Constructs a new exception with the specified detail message.
	 *
	 * @param s the detailed message
	 */
	public GenerateException(String s) {
		super(s);
	}

	/**
	 * Constructs a new exception with the specified detail message and cause.
	 *
	 * @param s the detailed message
	 * @param t the cause
	 */
	 public GenerateException(String s, Throwable t) {
		super(s,t);
	}
}