package com.chaosserver.bilbo.task.generate.joliet;

import com.chaosserver.bilbo.task.generate.FormatException;

/**
 * Thrown when there is an error generating a Joliet filename
 * for a file.
 *
 * @author Jordan Reed
 * @version 1.1
 * @since Bilbo 1.0
 */
public class JolietException extends FormatException {
	/**
	 * Constructs a new exception with the specified detail message.
	 *
	 * @param s the detailed message
	 */
	public JolietException(String s) {
		super(s);
	}

	/**
	 * Constructs a new exception with the specified detail message and cause.
	 *
	 * @param s the detailed message
	 * @param t the cause
	 */
	 public JolietException(String s, Throwable t) {
		super(s,t);
	}
}