package com.chaosserver.bilbo.task.generate.original;

import com.chaosserver.bilbo.data.Directory;
import com.chaosserver.bilbo.task.generate.Formatter;

import java.io.File;

/**
 * Basic formatter.  Returns only the current name of the file without any
 * additional processing.
 *
 * @author Jordan Reed
 * @version 1.0
 * @since Bilbo 2.0
 */
public class OriginalFormatter implements Formatter {
	/**
	 * Default constructor.
	 */
	public OriginalFormatter() {}

	/**
	 * Formats the file by returning the current name.
	 *
	 * @param directory the directory the file is in
	 * @param file the file to format the name for
	 * @return the current name of the file
	 */
	public String format(Directory directory, File file) {
		return file.getName();
	}
}