package com.chaosserver.bilbo.task.there;

import com.chaosserver.bilbo.task.BaseTask;
import com.chaosserver.bilbo.task.Task;
import com.chaosserver.bilbo.task.TaskException;
import com.chaosserver.bilbo.task.TaskFactory;

import java.io.File;

/**
 * The there task is a shortcut for converting original to joliet mappings.
 * <p>
 * This task composites two other tasks:
 * <ol>
 *   <li>generate original joliet</li>
 *   <li>convert -e0 original joliet</li>
 * </ol>
 *
 * @author Jordan Reed
 * @version 1.0
 * @since Bilbo 2.0
 */
public class ThereTask extends BaseTask {
	// Inherits javadocs
	public void parseTaskArguments(String argumentString) {
	}

	/**
	 * Executes the generate and convert tasks
	 *
	 * @throws TaskException if the subtasks have errors
	 */
	public void execute() throws TaskException {
		TaskFactory taskFactory = TaskFactory.getInstance();

		Task generateTask = taskFactory.createTask("generate", settings);
		generateTask.parseTaskArguments("original joliet");
		generateTask.execute();

		Task convertTask = taskFactory.createTask("convert", settings);
		convertTask.parseTaskArguments("-e0 original joliet");
		convertTask.execute();
	}

	/** Empty. */
	public void execute(File currentDirectory) throws TaskException {
	}

}