package com.chaosserver.bilbo.task.validate;

import com.chaosserver.bilbo.task.TaskException;

/**
 * Package level wrapper for validation exceptions.
 *
 * @author Jordan Reed
 * @version 1.0
 * @since Bilbo 1.0
 */
public class ValidateException extends TaskException {
	/**
	 * Constructs a new exception with the specified detail message.
	 *
	 * @param s the detailed message
	 */
	public ValidateException(String s) {
		super(s);
	}

	/**
	 * Constructs a new exception with the specified detail message and cause.
	 *
	 * @param s the detailed message
	 * @param t the cause
	 */
	public ValidateException(String s, Throwable t) {
		super(s,t);
	}
}